/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.credentials;

import java.net.URI;
import java.util.function.Predicate;
import net.ranides.assira.collection.maps.GenericKey;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public final class UserProperty<V> {
    
    private UserProperty() {
        /* utility class */
    }
    
    public static final GenericKey<String,String> ACCOUNT = new GenericKey<>(String.class, "account");

    public static final GenericKey<String,String> DOMAIN = new GenericKey<>(String.class, "user.login");
    
    public static final GenericKey<String,String> LOGIN = new GenericKey<>(String.class, "user.login");
    
    public static final GenericKey<String,String> PASSWORD = new GenericKey<>(String.class, "user.password");
    
    public static final GenericKey<String,String> EMAIL = new GenericKey<>(String.class, "user.e-mail");
    
    public static final GenericKey<String,String> HOST = new GenericKey<>(String.class, "addr.host");
    
    public static final GenericKey<String,Integer> PORT = new GenericKey<>(Integer.class, "addr.password");
    
    public static final GenericKey<String,Predicate<URI>> URI = new GenericKey<String,Predicate<URI>>("addr.password"){};
    
}
